//
//  LiveRoomHeartDonationChatItemView.swift
//  SodaLive
//
//  Created by klaus on 10/24/24.
//

import SwiftUI

struct LiveRoomHeartDonationChatItemView: View {
    
    let chatMessage: LiveRoomHeartDonationChat
    
    var body: some View {
        HStack(spacing: 0) {
            Text("'")
                .font(.system(size: 12))
                .foregroundColor(Color.gray11)
            
            Text(chatMessage.nickname)
                .font(.system(size: 12, weight: .bold))
                .foregroundColor(Color(hex: "ec3aa6"))
            
            Text("'님이 마음을 전했습니다 : 💕")
                .font(.system(size: 12))
                .foregroundColor(Color.gray11)
        }
        .padding(.vertical, 6.7)
        .frame(width: screenSize().width - 86)
        .background(Color.white.opacity(0.7))
        .cornerRadius(4.7)
        .padding(.leading, 20)
    }
}

#Preview {
    LiveRoomHeartDonationChatItemView(chatMessage: LiveRoomHeartDonationChat(nickname: "닉네임"))
}
